Help with some mpn function to package flint using gmp instead of mpir

Zimmermann Paul Paul.Zimmermann at
Wed Jul 31 19:37:06 CEST 2013

       Dear Paulo,

> Date: Wed, 31 Jul 2013 11:35:33 -0300
> From: Paulo César Pereira de Andrade
> 	< at>
>   Hi,
>   I have been packaging sagemath since early sagemath 3.x in Mandriva,
> and recently have been packaging in Fedora also. Only yesterday I had
> time to start working on packaging sagemath 5.10, but learned that now
> it requires flint 2.3, and that (flint 2.3) uses several mpir internals not
> available in gmp.

you write to the wrong people. You should report your problem to the flint
developers. Either they choose not to support GMP any more, in which case
you are on your own; or they provide alternate code to use only the public
GMP interface.

Best regards,
Paul Zimmermann

More information about the gmp-discuss mailing list